#pragma once

#include <RobotAPI/interface/armem/commit.h>
#include <RobotAPI/interface/armem/memory.h>

#include "Memory.h"


namespace armarx::armem
{
    void toIce(data::EntityInstanceMetadata& ice, const wm::EntityInstanceMetadata& metadata);
    void fromIce(const data::EntityInstanceMetadata& ice, wm::EntityInstanceMetadata& metadata);

    void toIce(data::EntityInstance& ice, const wm::EntityInstance& data);
    void fromIce(const data::EntityInstance& ice, wm::EntityInstance& data);


    void toIce(data::EntitySnapshot& ice, const wm::EntitySnapshot& snapshot);
    void fromIce(const data::EntitySnapshot& ice, wm::EntitySnapshot& snapshot);

    void toIce(data::Entity& ice, const wm::Entity& entity);
    void fromIce(const data::Entity& ice, wm::Entity& entity);


    void toIce(data::ProviderSegment& ice, const wm::ProviderSegment& providerSegment);
    void fromIce(const data::ProviderSegment& ice, wm::ProviderSegment& providerSegment);

    void toIce(data::CoreSegment& ice, const wm::CoreSegment& coreSegment);
    void fromIce(const data::CoreSegment& ice, wm::CoreSegment& coreSegment);

    void toIce(data::Memory& ice, const wm::Memory& memory);
    void fromIce(const data::Memory& ice, wm::Memory& memory);
}

// Must be included after the prototypes. Otherwise the compiler cannot find the correct methods in ice_coversion_templates.h
#include "../ice_conversions.h"
